petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatNestGetSubMat

Returns a single, sub-matrix from a nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetSubMat(Mat A,PetscInt idxm,PetscInt jdxm,Mat *sub)

Not collective

### Input Parameters

| A | - nest matrix
| idxm | - index of the matrix within the nest matrix
| jdxm | - index of the matrix within the nest matrix

### Output Parameter

sub -matrix at index idxm,jdxm within the nest matrix

### See Also

MatNestGetSize(), MatNestGetSubMats()

### Level

developer

### Location

src/mat/impls/nest/matnest.c

### Implementations

MatNestGetSubMat_Nest in src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages